# Interface ExportInterface

public interface ExportInterface

## Method Summary

Modifier and Type
Method
Description
`String`
`exportCmd(JSVPanel jsvp, Lst<String> tokens, boolean forInkscape)`
from EXPORT command
`void`
`exportSpectrum(JSViewer viewer, String type)`
`String`
`exportTheSpectrum(String type, String path, Spectrum spec, int startIndex, int endIndex)`
returns message if path is not null, otherwise full string of text (unsigned applet)
`String`
`printPDF(JSViewer viewer, String pdfFileName)`

## Method Details

### exportCmd

String exportCmd(JSVPanel jsvp, Lst<String> tokens, boolean forInkscape)
from EXPORT command

Parameters:
  `jsvp` -
  `tokens` -
  `forInkscape` -
Returns:
  message for status line

### exportSpectrum

void exportSpectrum(JSViewer viewer, String type)

### exportTheSpectrum

String exportTheSpectrum(String type, String path, Spectrum spec, int startIndex, int endIndex) throws Exception
returns message if path is not null, otherwise full string of text (unsigned applet)

Parameters:
  `type` -
  `path` -
  `spec` -
  `startIndex` -
  `endIndex` -
Returns:
  message or text
Throws:
  `Exception`

### printPDF

String printPDF(JSViewer viewer, String pdfFileName)